# PolicyFactory_Registry_Adapter.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "ace/CORBA_macros.h"`

Include dependency graph for PolicyFactory_Registry_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | PortableInterceptor
namespace | TAO

## Classes

class | TAO::PolicyFactory_Registry_Adapter
| ORB-specific PortableInterceptor::PolicyFactory registry. More...

## Typedefs

typedef PolicyFactory * | PolicyFactory_ptr

## Detailed Description

Id
  PolicyFactory_Registry_Adapter.h,v 1.4 2005/11/02 11:03:26 ossama Exp

Author:
  Johnny Willemsen <jwillemsen@remedy.nl>

## Typedef Documentation

typedef PolicyFactory* PortableInterceptor::PolicyFactory_ptr